## python-hypothesis 3.71.11

=== debian/changelog ===
python-hypothesis (3.71.11-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Mattia Rizzolo ]
  * New upstream version 3.71.11.
    + Compatibility with Python 3.7.  Closes: #904646
  * Update watch file to the new tarball names.  Closes: #904647
  * Fix paths after upstream shuffled files around.
  * d/rules: Drop unneeded override_dh_python3.
  * d/rules: Add a comment on why the tests are skipped.
  * Add new dependency on python(3)-dateutil.
  * Fix autopkgtest to fit the new version.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 24 Sep 2018 13:47:07 +0200

=== debian/control ===
Source: python-hypothesis
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Tristan Seligmann <mithrandi@debian.org>,
 Vincent Bernat <bernat@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 pypy,
 pypy-attr,
 pypy-coverage,
 pypy-setuptools,
 python-all,
 python-attr,
 python-coverage,
 python-enum34,
 python-setuptools,
 python3-all,
 python3-attr,
 python3-coverage,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.1.3
Homepage: https://github.com/HypothesisWorks/hypothesis
Vcs-Git: https://salsa.debian.org/python-team/modules/python-hypothesis.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-hypothesis

Package: python-hypothesis
Architecture: all
Depends: python-dateutil, python-enum34, ${misc:Depends}, ${python:Depends}
Suggests: python-hypothesis-doc
Description: advanced Quickcheck style testing library for Python 2
 Hypothesis is a library for testing your Python code against a much
 larger range of examples than you would ever want to write by
 hand. It's based on the Haskell library, Quickcheck, and is designed
 to integrate seamlessly into your existing Python unit testing work
 flow.
 .
 Hypothesis is both extremely practical and also advances the state of
 the art of unit testing by some way. It's easy to use, stable, and
 extremely powerful. If you're not using Hypothesis to test your
 project then you're missing out.
 .
 This package contains the Python 2 module.

Package: python3-hypothesis
Architecture: all
Depends: python3-dateutil, ${misc:Depends}, ${python3:Depends}
Suggests: python-hypothesis-doc
Description: advanced Quickcheck style testing library for Python 3
 Hypothesis is a library for testing your Python code against a much
 larger range of examples than you would ever want to write by
 hand. It's based on the Haskell library, Quickcheck, and is designed
 to integrate seamlessly into your existing Python unit testing work
 flow.
 .
 Hypothesis is both extremely practical and also advances the state of
 the art of unit testing by some way. It's easy to use, stable, and
 extremely powerful. If you're not using Hypothesis to test your
 project then you're missing out.
 .
 This package contains the Python 3 module.

Package: pypy-hypothesis
Architecture: all
Depends: pypy-enum34, ${misc:Depends}, ${pypy:Depends}
Suggests: python-hypothesis-doc
Description: advanced Quickcheck style testing library for PyPy
 Hypothesis is a library for testing your Python code against a much
 larger range of examples than you would ever want to write by
 hand. It's based on the Haskell library, Quickcheck, and is designed
 to integrate seamlessly into your existing Python unit testing work
 flow.
 .
 Hypothesis is both extremely practical and also advances the state of
 the art of unit testing by some way. It's easy to use, stable, and
 extremely powerful. If you're not using Hypothesis to test your
 project then you're missing out.
 .
 This package contains the PyPy module.

Package: python-hypothesis-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: advanced Quickcheck style testing library (documentation)
 Hypothesis is a library for testing your Python code against a much
 larger range of examples than you would ever want to write by
 hand. It's based on the Haskell library, Quickcheck, and is designed
 to integrate seamlessly into your existing Python unit testing work
 flow.
 .
 Hypothesis is both extremely practical and also advances the state of
 the art of unit testing by some way. It's easy to use, stable, and
 extremely powerful. If you're not using Hypothesis to test your
 project then you're missing out.
 .
 This package contains the documentation for Hypothesis.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export LC_ALL=C.UTF-8
export PYBUILD_NAME=hypothesis

%:
	dh $@ --with python2,python3,pypy,sphinxdoc --sourcedirectory=hypothesis-python --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. \
	    http_proxy='127.0.0.1:9' \
	    https_proxy='127.0.0.1:9' \
	    python3 -m sphinx -N -b html hypothesis-python/docs/ $(CURDIR)/.pybuild/docs/html/

# The tests take a long time to run and are somwhat flaky
override_dh_auto_test:

=== debian/tests/control ===
Test-Command: cd hypothesis-python ; for p in $(pyversions -s); do $p -m pytest -c /dev/null --assert=plain -k 'not dateutil' tests/cover tests/nocover tests/datetime tests/numpy tests/py2; done
Depends:
 python-all,
 python-flaky,
 python-hypothesis,
 python-mock,
 python-numpy,
 python-pytest,
 python-tz,

Test-Command: cd hypothesis-python ; for p in $(py3versions -s); do $p -m pytest -c /dev/null --assert=plain -k 'not dateutil' tests/cover tests/nocover tests/datetime tests/numpy tests/py3; done
Depends:
 python3-all,
 python3-flaky,
 python3-hypothesis,
 python3-mock,
 python3-numpy,
 python3-pytest,
 python3-tz,

## python-hypothesis 4.36.2

=== debian/changelog ===
python-hypothesis (4.36.2-1) unstable; urgency=medium

  * Team upload.

  [ Nicolas Dandrimont ]
  * New upstream release (Closes: #942693)
  * Drop remote reference to image in documentation

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Nicolas Dandrimont <olasd@debian.org>  Tue, 19 Nov 2019 11:54:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Tristan Seligmann <mithrandi@debian.org>,
  Vincent Bernat <bernat@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 11),
  dh-python,
  pypy,
  pypy-attr,

## python-hypothesis 5.29.0

=== debian/changelog ===
python-hypothesis (5.29.0-1) unstable; urgency=medium

  * New upstream release.
    - Add Recommends: python3-click for the new CLI tool.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 25 Aug 2020 17:29:44 +0200

python-hypothesis (5.27.0-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 20 Aug 2020 19:16:14 +0200

python-hypothesis (5.24.4-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 15 Aug 2020 22:44:19 +0200

python-hypothesis (5.24.0-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 10 Aug 2020 20:59:29 +0200

python-hypothesis (5.23.9-2) unstable; urgency=medium

  * Reenable build-time tests.
  * Disable test requiring pytest 5+.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 03 Aug 2020 18:18:56 +0200

python-hypothesis (5.23.9-1) unstable; urgency=medium

  * New upstream release.
  * Disable hoverxref; not in Debian.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 03 Aug 2020 15:22:21 +0200

python-hypothesis (5.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Declare rootless build.
  * Bump debhelper-compat to 13.
  * Switch to dh-sequence-*.
  * Fix copyright paths.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 19 Jul 2020 22:31:48 +0200

python-hypothesis (5.16.0-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Tue, 02 Jun 2020 21:26:34 -0400

python-hypothesis (5.10.4-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team upload.
  * Drop pypy support.
  * New upstream version 5.10.4 (Closes: #949762).
  * d/gbp.conf: create configuration file and add debian/master branch.
    - Create debian/master branch according to DEP-14.
  * d/salsa-ci.yml: enable salsa-ci.
  * d/control: Bump Standards-Version to 4.5.0 (from 4.1.3).
  * d/tests/control: Drop tests on tests/py3 folder.
    - Does not exist on upstream.
  * Fix link on docs base.
  * d/tests/control: Add pexpect dependecy on tests.
  * Add patch to skip lazy test, that fails on Autopkgtest.

  [ Sandro Tosi ]
  * debian/control
    - add dateutil, django, lark, numpy, sortedcontainers to b-d, used by
      sphinx autodoc

 -- Sandro Tosi <morph@debian.org>  Mon, 01 Jun 2020 15:40:22 -0400

python-hypothesis (4.36.2-3) unstable; urgency=medium

  * Drop python2 support; Closes: #937823

 -- Sandro Tosi <morph@debian.org>  Thu, 23 Apr 2020 01:10:54 -0400

python-hypothesis (4.36.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Sandro Tosi ]
  * Dont run unittests for python2 binary, to reduce pytest rdeps

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 20:37:39 -0400

=== debian/control ===
Source: python-hypothesis
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Tristan Seligmann <mithrandi@debian.org>,
 Vincent Bernat <bernat@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 python3-all,
 python3-attr,
 python3-coverage,
 python3-dateutil <!nodoc>,
 python3-django <!nodoc>,
 python3-flaky <!nocheck>,
 python3-hypothesis <!nocheck>,
 python3-lark <!nodoc>,
 python3-mock <!nocheck>,
 python3-numpy <!nocheck>,
 python3-numpy <!nodoc>,
 python3-pexpect <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sortedcontainers <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-tz <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/HypothesisWorks/hypothesis
Vcs-Git: https://salsa.debian.org/python-team/modules/python-hypothesis.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-hypothesis

Package: python3-hypothesis
Architecture: all
Depends:
 python3-dateutil,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-click,
Suggests:
 python-hypothesis-doc,
Description: advanced Quickcheck style testing library for Python 3
 Hypothesis is a library for testing your Python code against a much
 larger range of examples than you would ever want to write by
 hand. It's based on the Haskell library, Quickcheck, and is designed
 to integrate seamlessly into your existing Python unit testing work
 flow.
 .
 Hypothesis is both extremely practical and also advances the state of
 the art of unit testing by some way. It's easy to use, stable, and
 extremely powerful. If you're not using Hypothesis to test your
 project then you're missing out.
 .
 This package contains the Python 3 module.

Package: python-hypothesis-doc
Architecture: all
Built-Using:
 ${sphinxdoc:Built-Using},
Build-Profiles: <!nodoc>
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: advanced Quickcheck style testing library (documentation)
 Hypothesis is a library for testing your Python code against a much
 larger range of examples than you would ever want to write by
 hand. It's based on the Haskell library, Quickcheck, and is designed
 to integrate seamlessly into your existing Python unit testing work
 flow.
 .
 Hypothesis is both extremely practical and also advances the state of
 the art of unit testing by some way. It's easy to use, stable, and
 extremely powerful. If you're not using Hypothesis to test your
 project then you're missing out.
 .
 This package contains the documentation for Hypothesis.

## python-hypothesis 5.43.3

=== debian/changelog ===
python-hypothesis (5.43.3-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 15 Dec 2020 10:41:13 +0200

python-hypothesis (5.41.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Tristan Seligmann ]
  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 10 Nov 2020 09:11:01 +0200

python-hypothesis (5.32.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 06 Sep 2020 12:08:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-hypothesis
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Tristan Seligmann <mithrandi@debian.org>,
  Vincent Bernat <bernat@debian.org>,
@@ -30,8 +30,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Homepage: https://github.com/HypothesisWorks/hypothesis
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-hypothesis.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-hypothesis
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-hypothesis.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-hypothesis
 
 Package: python3-hypothesis
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export PYBUILD_NAME=hypothesis
export PYBUILD_TEST_ARGS=--assert=plain -k 'not dateutil' tests/cover tests/nocover tests/datetime tests/numpy

%:
	dh $@ --sourcedirectory=hypothesis-python --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	PYTHONPATH=. \
	    http_proxy='127.0.0.1:9' \
	    https_proxy='127.0.0.1:9' \
	    python3 -m sphinx -N -b html hypothesis-python/docs/ $(CURDIR)/.pybuild/docs/html/
endif

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	dh_auto_test
endif

=== debian/tests/control ===
Test-Command: cd hypothesis-python ; for p in $(py3versions -s); do $p -m pytest -c /dev/null --assert=plain -k 'not dateutil' tests/cover tests/nocover tests/datetime tests/numpy; done
Depends:
 python3-all,
 python3-flaky,
 python3-hypothesis,
 python3-mock,
 python3-numpy,
 python3-pexpect,
 python3-pytest,
 python3-tz,

=== debian/watch ===
version=4
https://github.com/HypothesisWorks/hypothesis/releases .*/archive/hypothesis-python-@ANY_VERSION@@ARCHIVE_EXT@

## python-hypothesis 6.36.0

=== hypothesis-ruby/ext/Makefile ===
all:
	cd ..
	rake build
clean:
	rm -rf ../target

install: ;

=== debian/changelog ===
python-hypothesis (6.36.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add a Breaks against python3-h2, to easy their testing migraiton

 -- Sandro Tosi <morph@debian.org>  Mon, 31 Jan 2022 00:56:15 -0500

python-hypothesis (6.35.1-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Mon, 17 Jan 2022 22:29:55 -0500

python-hypothesis (6.35.0-1) unstable; urgency=medium

  * New upstream release; Closes: #1001538, #1002392, #1000639
  * debian/watch
    - properly detect new upstream releases
  * debian/copyright
    - update upstream copyright information
  * debian/tests/control
    - skip test_basic_indices_default_max_dims_does_not_warn in autopkgtest
  * debian/rules
    - set the proper PYTHONPATH when building doc
  * refresh/update patches

 -- Sandro Tosi <morph@debian.org>  Sun, 16 Jan 2022 23:31:30 -0500

=== debian/control ===
--- 
+++ 
@@ -43,6 +43,8 @@
  python3-click,
 Suggests:
  python-hypothesis-doc,
+Breaks:
+ python3-h2 (<< 4.1.0~)
 Description: advanced Quickcheck style testing library for Python 3
  Hypothesis is a library for testing your Python code against a much
  larger range of examples than you would ever want to write by

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 execute_after_dh_auto_build:
 ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
-	PYTHONPATH=. \
+	PYTHONPATH=hypothesis-python/src \
 	    http_proxy='127.0.0.1:9' \
 	    https_proxy='127.0.0.1:9' \
 	    python3 -m sphinx -N -b html hypothesis-python/docs/ $(CURDIR)/.pybuild/docs/html/

=== debian/tests/control ===
Test-Command: cd hypothesis-python ; for p in $(py3versions -s); do $p -m pytest -c /dev/null --assert=plain -k 'not dateutil and not test_basic_indices_default_max_dims_does_not_warn' tests/cover tests/nocover tests/datetime tests/numpy; done
Depends:
 python3-all,
 python3-flaky,
 python3-hypothesis,
 python3-mock,
 python3-numpy,
 python3-pexpect,
 python3-pytest,
 python3-tz,

=== debian/watch ===
version=4
https://github.com/HypothesisWorks/hypothesis/releases .*/hypothesis-python-@ANY_VERSION@@ARCHIVE_EXT@

## python-hypothesis 6.67.1

=== HypothesisWorks.github.io/Makefile ===
BUILD_IMAGE = hypothesisworks/hypothesisworks.github.io
SERVE_CONTAINER = server

ROOT = $(shell git rev-parse --show-toplevel)


.docker/build: Dockerfile Gemfile Gemfile.lock
	docker build --tag $(BUILD_IMAGE) .
	mkdir -p .docker
	touch .docker/build


build: .docker/build
	docker run --volume $(SRC):/site $(BUILD_IMAGE) build

serve: .docker/build
	@# Clean up old running containers
	@docker stop $(SERVE_CONTAINER) >/dev/null 2>&1 || true
	@docker rm $(SERVE_CONTAINER) >/dev/null 2>&1 || true

	docker run \
		--publish 5858:5858 \
		--volume $(ROOT):/site \
		--name $(SERVE_CONTAINER) \
		--hostname $(SERVE_CONTAINER) \
		--tty $(BUILD_IMAGE) \
		serve --host $(SERVE_CONTAINER) --port 5858 --watch

Gemfile.lock: Gemfile
	docker run \
		--volume $(ROOT):/site \
		--workdir /site \
		--tty $(shell cat Dockerfile | grep FROM | awk '{print $$2}') \
		bundle lock --update


.PHONY: build serve

=== debian/changelog ===
python-hypothesis (6.67.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.67.1
    - Fix a rare RecursionError introduced by the changes in 6.65.0

 -- Timo Röhling <roehling@debian.org>  Mon, 06 Feb 2023 13:09:15 +0100

python-hypothesis (6.65.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.65.2
  * Fix failing numpy test (Closes: #1030233)

 -- Timo Röhling <roehling@debian.org>  Wed, 01 Feb 2023 21:17:16 +0100

python-hypothesis (6.64.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.64.0
    - Fix compatibility with numpy 1.24 (Closes: #1028830)

 -- Timo Röhling <roehling@debian.org>  Mon, 23 Jan 2023 23:55:53 +0100

python-hypothesis (6.61.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.61.0
  * Bump Standards-Version to 4.6.2
  * Drop Built-Using for Sphinx documentation

 -- Timo Röhling <roehling@debian.org>  Mon, 26 Dec 2022 13:29:50 +0100

python-hypothesis (6.60.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Consolidate skipping all broken tests in one patch
  * Apply M-A hint

 -- Timo Röhling <roehling@debian.org>  Sat, 10 Dec 2022 17:36:35 +0100

python-hypothesis (6.60.0-2) experimental; urgency=medium

  * Team upload.
  * Remove obsolete d/tests and fix autopkgtest invocation
  * Update Build-Depends
  * Avoid circular dependency on self
  * Set PYTEST_DISABLE_PLUGIN_AUTOLOAD=1

 -- Timo Röhling <roehling@debian.org>  Fri, 09 Dec 2022 23:34:25 +0100

python-hypothesis (6.60.0-1) experimental; urgency=medium

  * Team upload.
  * Fix d/watch
  * New upstream version 6.60.0
    - Fix Python 3.11 compatibility (Closes: #1025105)
  * New Build-Depend on python3-exceptiongroup
  * Remove unneeded dh_auto_test override
  * Use autopkgtest-pkg-pybuild

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Dec 2022 15:00:20 +0100

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
  python3-all,
  python3-attr,
  python3-coverage,
- python3-dateutil <!nodoc>,
+ python3-dateutil <!nocheck> <!nodoc>,
  python3-django <!nodoc>,
+ python3-exceptiongroup,
  python3-flaky <!nocheck>,
- python3-hypothesis <!nocheck>,
  python3-lark <!nodoc>,
  python3-mock <!nocheck>,
  python3-numpy <!nocheck>,
@@ -23,15 +23,16 @@
  python3-pexpect <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
- python3-sortedcontainers <!nodoc>,
+ python3-sortedcontainers,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-tz <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/HypothesisWorks/hypothesis
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-hypothesis.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-hypothesis
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-hypothesis
 Architecture: all
@@ -61,8 +62,7 @@
 
 Package: python-hypothesis-doc
 Architecture: all
-Built-Using:
- ${sphinxdoc:Built-Using},
+Multi-Arch: foreign
 Build-Profiles: <!nodoc>
 Section: doc
 Depends:

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export PYBUILD_NAME=hypothesis
export PYBUILD_DIR=hypothesis-python
export PYBUILD_TEST_ARGS=-k 'not dateutil' tests/cover tests/nocover tests/datetime tests/numpy
# If pytest autoloads the hypothesis plugin, it interferes with the tests 
export PYTEST_DISABLE_PLUGIN_AUTOLOAD=1

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	PYTHONPATH=hypothesis-python/src \
	    http_proxy='127.0.0.1:9' \
	    https_proxy='127.0.0.1:9' \
	    python3 -m sphinx -N -b html hypothesis-python/docs/ $(CURDIR)/.pybuild/docs/html/
endif

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s%(?:.*?/)?(?:[a-z-]+)@ANY_VERSION@%@PACKAGE@-$1.tar.gz% \
 https://api.github.com/repos/HypothesisWorks/hypothesis-python/releases \
 tarball/(?:[^"]*?/)?(?:[a-z-]*)@ANY_VERSION@

## python-hypothesis 6.82.0

=== debian/changelog ===
python-hypothesis (6.82.0-1) unstable; urgency=medium

  * Add myself to uploaders
  * Remove Vincent Bernat from uploaders at his request
    Thank you for your contribution!
  * New upstream version 6.82.0

 -- Timo Röhling <roehling@debian.org>  Sun, 23 Jul 2023 19:53:49 +0200

python-hypothesis (6.81.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.81.1
    - Fixes some lingering issues with inference of recursive types.
      This will hopefully improve the recent unit test flakiness.

 -- Timo Röhling <roehling@debian.org>  Thu, 13 Jul 2023 23:45:21 +0200

python-hypothesis (6.81.0-2) unstable; urgency=medium

  * Team upload.
  * Remove retired uploader.

 -- Bastian Germann <bage@debian.org>  Thu, 13 Jul 2023 15:48:15 +0200

python-hypothesis (6.81.0-1) unstable; urgency=medium

  * Team upload.
  * Skip two NumPy tests again; still broken
  * New upstream version 6.81.0

 -- Timo Röhling <roehling@debian.org>  Mon, 10 Jul 2023 23:50:10 +0200

python-hypothesis (6.80.1-3) unstable; urgency=medium

  * Team upload.
  * Skip tests which want to update package files

 -- Timo Röhling <roehling@debian.org>  Sun, 09 Jul 2023 21:50:11 +0200

python-hypothesis (6.80.1-2) unstable; urgency=medium

  * Team upload.
  * Refactor test skipping; skip failing recursion test

 -- Timo Röhling <roehling@debian.org>  Sun, 09 Jul 2023 09:41:50 +0200

python-hypothesis (6.80.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.80.1
  * Refresh patches
    - Drop 0004-Fix-failing-numpy-test.patch (no longer needed)
  * Add more test dependencies
  * Skip fewer tests in upstream test suite
  * Add lintian override for false positive
  * Add manual page for CLI tool

 -- Timo Röhling <roehling@debian.org>  Fri, 07 Jul 2023 11:46:49 +0200

python-hypothesis (6.80.0-1) unstable; urgency=medium

  * Team upload.
  * Use tags in debian/watch again
  * New upstream version 6.80.0

 -- Timo Röhling <roehling@debian.org>  Thu, 29 Jun 2023 00:21:03 +0200

python-hypothesis (6.74.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.74.0
  * Skip broken timezone_keys() test

 -- Timo Röhling <roehling@debian.org>  Fri, 16 Jun 2023 20:48:34 +0200

## python-hypothesis 6.82.4

=== debian/changelog ===
python-hypothesis (6.82.4-1) unstable; urgency=medium

  * Clean build detritus (Closes: #1047388)
  * New upstream version 6.82.4

 -- Timo Röhling <roehling@debian.org>  Mon, 14 Aug 2023 15:16:54 +0200

python-hypothesis (6.82.3-1) unstable; urgency=medium

  * New upstream version 6.82.3

 -- Timo Röhling <roehling@debian.org>  Tue, 08 Aug 2023 21:09:07 +0200

## python-hypothesis 6.82.7

=== debian/changelog ===
python-hypothesis (6.82.7-1) unstable; urgency=medium

  * New upstream version 6.82.7
  * Update patches
    - New patch 0003-Avoid-hard-dependency-on-libcst.patch

 -- Timo Röhling <roehling@debian.org>  Tue, 29 Aug 2023 10:59:15 +0200

python-hypothesis (6.82.6-1) unstable; urgency=medium

  * New upstream version 6.82.6

 -- Timo Röhling <roehling@debian.org>  Mon, 21 Aug 2023 11:12:52 +0200

## python-hypothesis 6.84.0

=== debian/changelog ===
python-hypothesis (6.84.0-1) unstable; urgency=medium

  * New upstream version 6.84.0

 -- Timo Röhling <roehling@debian.org>  Tue, 05 Sep 2023 10:30:11 +0200

## python-hypothesis 6.88.4

=== debian/changelog ===
python-hypothesis (6.88.4-1) unstable; urgency=medium

  * New upstream version 6.88.4

 -- Timo Röhling <roehling@debian.org>  Wed, 15 Nov 2023 19:33:31 +0100

python-hypothesis (6.88.3-1) unstable; urgency=medium

  * New upstream version 6.88.3

 -- Timo Röhling <roehling@debian.org>  Fri, 10 Nov 2023 22:12:07 +0100

python-hypothesis (6.88.1-1) unstable; urgency=medium

  * New upstream version 6.88.1

 -- Timo Röhling <roehling@debian.org>  Wed, 18 Oct 2023 16:51:41 +0200

python-hypothesis (6.87.4-1) unstable; urgency=medium

  * New upstream version 6.87.4

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Oct 2023 15:50:30 +0200

python-hypothesis (6.87.3-1) unstable; urgency=medium

  * New upstream version 6.87.3

 -- Timo Röhling <roehling@debian.org>  Wed, 11 Oct 2023 12:14:20 +0200

python-hypothesis (6.87.1-1) unstable; urgency=medium

  * New upstream version 6.87.1

 -- Timo Röhling <roehling@debian.org>  Wed, 04 Oct 2023 22:37:32 +0200

python-hypothesis (6.87.0-1) unstable; urgency=medium

  * New upstream version 6.87.0

 -- Timo Röhling <roehling@debian.org>  Mon, 25 Sep 2023 13:32:16 +0200

python-hypothesis (6.86.2-1) unstable; urgency=medium

  * New upstream version 6.86.2

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Sep 2023 09:48:19 +0200

python-hypothesis (6.84.3-1) unstable; urgency=medium

  * New upstream version 6.84.3
    - Disable differing_executor health check for pytest parametrized
      tests, because those were mostly false alarms
      (Closes: #1051434, #1051435)

 -- Timo Röhling <roehling@debian.org>  Tue, 12 Sep 2023 18:26:02 +0200

python-hypothesis (6.84.2-1) unstable; urgency=medium

  * New upstream version 6.84.2

 -- Timo Röhling <roehling@debian.org>  Fri, 08 Sep 2023 01:27:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,29 +3,33 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Tristan Seligmann <mithrandi@debian.org>,
- Vincent Bernat <bernat@debian.org>,
+ Timo Röhling <roehling@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
+ black <!nocheck>,
  python3-all,
  python3-attr,
+ python3-click <!nocheck>,
  python3-coverage,
  python3-dateutil <!nocheck> <!nodoc>,
  python3-django <!nodoc>,
  python3-exceptiongroup,
+ python3-fakeredis <!nocheck>,
  python3-flaky <!nocheck>,
  python3-lark <!nodoc>,
  python3-mock <!nocheck>,
- python3-numpy <!nocheck>,
- python3-numpy <!nodoc>,
+ python3-numpy <!nocheck> <!nodoc>,
+ python3-pandas <!nocheck>,
  python3-pexpect <!nocheck>,
  python3-pytest <!nocheck>,
+ python3-redis <!nocheck>,
  python3-setuptools,
  python3-sortedcontainers,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
+ python3-typing-extensions <!nocheck>,
  python3-tz <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# Individual tests which fail in buildd or autopkgtest
SKIP_TESTS = \
	test_basic_indices_default_max_dims_does_not_warn \
	test_can_learn_to_normalize_the_unnormalized \
	test_dateutil_timezones \
	test_ghostwriter_cli \
	test_hypothesis_is_not_the_first_to_import_numpy \
	test_settings_alone \
	test_updating_the_file_include_new_shrinkers \
	pytest

# Test scripts which cannot be imported, e.g. because they
# depend on unpackaged Python modules
IGNORE_TESTS = \
	tests/codemods \
	tests/dpcontracts \
	tests/patching

space = $(eval) $(eval)
concat_with = $(subst $(space),$1,$2)

export LC_ALL=C.UTF-8
export PYBUILD_NAME=hypothesis
export PYBUILD_DIR=hypothesis-python
export PYBUILD_TEST_ARGS=-k 'not ($(call concat_with,$(space)or$(space),$(SKIP_TESTS)))' $(addprefix --ignore=,$(IGNORE_TESTS)) tests
# If pytest autoloads the hypothesis plugin, it interferes with the tests 
export PYTEST_DISABLE_PLUGIN_AUTOLOAD=1

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	PYTHONPATH=hypothesis-python/src \
	    http_proxy='127.0.0.1:9' \
	    https_proxy='127.0.0.1:9' \
	    python3 -m sphinx -N -b html hypothesis-python/docs/ $(CURDIR)/.pybuild/docs/html/
endif

execute_before_dh_installman:
	sed -e 's/@VERSION@/$(DEB_VERSION_UPSTREAM)/g' debian/hypothesis.1.in > debian/hypothesis.1

## python-hypothesis 6.98.15

=== debian/changelog ===
python-hypothesis (6.98.15-1) unstable; urgency=medium

  * New upstream version 6.98.15
  * Fix test failure on 32 bit architectures

 -- Timo Röhling <roehling@debian.org>  Thu, 29 Feb 2024 23:13:22 +0100

python-hypothesis (6.98.12-2) unstable; urgency=medium

  * Require pytest 8 as one test fails with pytest 7

 -- Timo Röhling <roehling@debian.org>  Tue, 27 Feb 2024 13:08:25 +0100

python-hypothesis (6.98.12-1) unstable; urgency=medium

  * New upstream version 6.98.12

 -- Timo Röhling <roehling@debian.org>  Mon, 26 Feb 2024 16:49:57 +0100

python-hypothesis (6.98.9-1) unstable; urgency=medium

  * New upstream version 6.98.9
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Tue, 20 Feb 2024 21:02:12 +0100

python-hypothesis (6.98.4-1) unstable; urgency=medium

  * New upstream version 6.98.4

 -- Timo Röhling <roehling@debian.org>  Tue, 13 Feb 2024 16:43:41 +0100

python-hypothesis (6.98.2-2) unstable; urgency=medium

  * Do not create egg-info in autopkgtest
  * Skip some tests which still fail in autopkgtest

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Feb 2024 00:13:45 +0100

python-hypothesis (6.98.2-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove extraneous dep. on python3-mock

  [ Timo Röhling ]
  * New upstream version 6.98.2
  * Refresh patches (no functional changes)
  * Make sure that Hypothesis plugin is autoloaded for tests

 -- Timo Röhling <roehling@debian.org>  Wed, 07 Feb 2024 10:23:25 +0100

python-hypothesis (6.93.2-1) unstable; urgency=medium

  * New upstream version 6.93.2
    - Fix flaky test_can_produce_multi_line_strings (Closes: #1059897)

 -- Timo Röhling <roehling@debian.org>  Tue, 16 Jan 2024 14:01:43 +0100

python-hypothesis (6.92.2-1) unstable; urgency=medium

  * Use pybuild {build_dir} for sphinx-build
  * New upstream version 6.92.2

 -- Timo Röhling <roehling@debian.org>  Sat, 30 Dec 2023 23:33:26 +0100

python-hypothesis (6.92.1-1) unstable; urgency=medium

  * New upstream version 6.92.1

 -- Timo Röhling <roehling@debian.org>  Mon, 18 Dec 2023 22:42:39 +0100

python-hypothesis (6.92.0-1) unstable; urgency=medium

  * New upstream version 6.92.0
  * Refresh patches

 -- Timo Röhling <roehling@debian.org>  Mon, 11 Dec 2023 16:16:13 +0100

python-hypothesis (6.91.0-1) unstable; urgency=medium

  * New upstream version 6.91.0

 -- Timo Röhling <roehling@debian.org>  Tue, 28 Nov 2023 08:46:18 +0100

python-hypothesis (6.90.0-1) unstable; urgency=medium

  * New upstream version 6.90.0

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Nov 2023 12:56:43 +0100

=== debian/control ===
--- 
+++ 
@@ -19,11 +19,10 @@
  python3-fakeredis <!nocheck>,
  python3-flaky <!nocheck>,
  python3-lark <!nodoc>,
- python3-mock <!nocheck>,
  python3-numpy <!nocheck> <!nodoc>,
  python3-pandas <!nocheck>,
  python3-pexpect <!nocheck>,
- python3-pytest <!nocheck>,
+ python3-pytest (>= 8) <!nocheck>,
  python3-redis <!nocheck>,
  python3-setuptools,
  python3-sortedcontainers,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# Individual tests which fail in buildd or autopkgtest
SKIP_TESTS = \
	cli \
	pytest \
	test_can_learn_to_normalize_the_unnormalized \
	test_dateutil_timezones \
	test_hypothesis_is_not_the_first_to_import_numpy \
	test_updating_the_file_include_new_shrinkers \
	test_zoneinfo_timezones

# Test scripts which cannot be imported, e.g. because they
# depend on unpackaged Python modules
IGNORE_TESTS = \
	tests/codemods \
	tests/dpcontracts \
	tests/patching

space = $(eval) $(eval)
concat_with = $(subst $(space),$1,$2)

export LC_ALL=C.UTF-8
export PYBUILD_NAME=hypothesis
export PYBUILD_DIR=hypothesis-python
ifneq ($(PYBUILD_AUTOPKGTEST),1)
export PYBUILD_BEFORE_TEST={interpreter} setup.py egg_info; cp -r {dir}/src/*.egg-info {build_dir}
export PYBUILD_AFTER_TEST=rm -r {dir}/src/*.egg-info {build_dir}/*.egg-info
endif
export PYBUILD_TEST_ARGS=$(if $(SKIP_TESTS),-k 'not ($(call concat_with,$(space)or$(space),$(SKIP_TESTS)))') $(addprefix --ignore=,$(IGNORE_TESTS)) tests

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
	    http_proxy='127.0.0.1:9' \
	    https_proxy='127.0.0.1:9' \
	    python3 -m sphinx -N -b html hypothesis-python/docs/ $(CURDIR)/.pybuild/docs/html/
endif

execute_before_dh_installman:
	sed -e 's/@VERSION@/$(DEB_VERSION_UPSTREAM)/g' debian/hypothesis.1.in > debian/hypothesis.1

=== debian/watch ===
version=4
opts=uversionmangle=s%[-.]?(a|b|r?c|dev)%~$1% \
 https://github.com/HypothesisWorks/hypothesis/tags \
 [a-z/]*refs/tags/hypothesis-python@ANY_VERSION@\.tar\.gz

## python-hypothesis 6.104.2

=== debian/changelog ===
python-hypothesis (6.104.2-1) unstable; urgency=medium

  * New upstream version 6.104.2

 -- Timo Röhling <roehling@debian.org>  Mon, 01 Jul 2024 15:57:40 +0200

python-hypothesis (6.103.2-1) unstable; urgency=medium

  * New upstream version 6.103.2

 -- Timo Röhling <roehling@debian.org>  Mon, 17 Jun 2024 16:28:10 +0200

python-hypothesis (6.103.1-1) unstable; urgency=medium

  * New upstream version 6.103.1

 -- Timo Röhling <roehling@debian.org>  Sat, 08 Jun 2024 23:42:47 +0200

python-hypothesis (6.103.0-1) unstable; urgency=medium

  * New upstream version 6.103.0
  * Reenable ghostwriter tests (fixed by upstream)

 -- Timo Röhling <roehling@debian.org>  Mon, 03 Jun 2024 16:59:49 +0200

python-hypothesis (6.102.6-1) unstable; urgency=medium

  * New upstream version 6.102.6

 -- Timo Röhling <roehling@debian.org>  Mon, 27 May 2024 11:55:38 +0200

python-hypothesis (6.102.4-1) unstable; urgency=medium

  * New upstream version 6.102.4

 -- Timo Röhling <roehling@debian.org>  Mon, 20 May 2024 10:21:50 +0200

python-hypothesis (6.102.1-1) unstable; urgency=medium

  * New upstream version 6.102.1

 -- Timo Röhling <roehling@debian.org>  Tue, 14 May 2024 19:04:30 +0200

python-hypothesis (6.100.7-1) unstable; urgency=medium

  * New upstream version 6.100.7

 -- Timo Röhling <roehling@debian.org>  Sun, 12 May 2024 22:56:54 +0200

python-hypothesis (6.100.4-1) unstable; urgency=medium

  * New upstream version 6.100.4

 -- Timo Röhling <roehling@debian.org>  Mon, 06 May 2024 17:32:40 +0200

python-hypothesis (6.100.2-1) unstable; urgency=medium

  * New upstream version 6.100.2
  * Stop enforcing minimum Sphinx version for now

 -- Timo Röhling <roehling@debian.org>  Thu, 02 May 2024 11:11:26 +0200

python-hypothesis (6.100.1-3) unstable; urgency=medium

  * Drop obsolete Build-Depend on python3-exceptiongroup

 -- Timo Röhling <roehling@debian.org>  Wed, 24 Apr 2024 11:12:56 +0200

python-hypothesis (6.100.1-2) unstable; urgency=medium

  * Skip test_adds_note_showing_which_strategy.
    This test fails with pytest 7 because the note is not matched
    by pytest.raises(match=...)

 -- Timo Röhling <roehling@debian.org>  Thu, 18 Apr 2024 00:26:23 +0200

python-hypothesis (6.100.1-1) unstable; urgency=medium

  * New upstream version 6.100.1
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Thu, 11 Apr 2024 15:25:55 +0200

python-hypothesis (6.100.0-1) unstable; urgency=medium

  * New upstream version 6.100.0
  * Temporarily disable ghostwriter tests due to Python 3.12 regression

 -- Timo Röhling <roehling@debian.org>  Wed, 03 Apr 2024 17:48:18 +0200

python-hypothesis (6.99.9-1) unstable; urgency=medium

  * New upstream version 6.99.9
  * Update patches
    - Drop 0004-Fix-32-bit-architecture-detection-in-pandas-index-te.patch
      (merged by upstream)

 -- Timo Röhling <roehling@debian.org>  Tue, 19 Mar 2024 12:23:45 +0100

## python-hypothesis 6.105.1

=== debian/changelog ===
python-hypothesis (6.105.1-1) unstable; urgency=medium

  * New upstream version 6.105.1

 -- Timo Röhling <roehling@debian.org>  Tue, 09 Jul 2024 15:08:30 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,8 @@
 	test_dateutil_timezones \
 	test_hypothesis_is_not_the_first_to_import_numpy \
 	test_updating_the_file_include_new_shrinkers \
-	test_zoneinfo_timezones
+	test_zoneinfo_timezones \
+	test_adds_note_showing_which_strategy
 
 # Test scripts which cannot be imported, e.g. because they
 # depend on unpackaged Python modules

## python-hypothesis 6.111.2

=== debian/changelog ===
python-hypothesis (6.111.2-1) unstable; urgency=medium

  * New upstream version 6.111.2
  * Skip test which expects installed /usr/bin/hypothesis

 -- Timo Röhling <roehling@debian.org>  Mon, 26 Aug 2024 22:27:30 +0200

=== debian/control ===
--- 
+++ 
@@ -15,14 +15,13 @@
  python3-coverage,
  python3-dateutil <!nocheck> <!nodoc>,
  python3-django <!nodoc>,
- python3-exceptiongroup,
  python3-fakeredis <!nocheck>,
  python3-flaky <!nocheck>,
  python3-lark <!nodoc>,
  python3-numpy <!nocheck> <!nodoc>,
  python3-pandas <!nocheck>,
  python3-pexpect <!nocheck>,
- python3-pytest (>= 8) <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-redis <!nocheck>,
  python3-setuptools,
  python3-sortedcontainers,
@@ -31,7 +30,7 @@
  python3-typing-extensions <!nocheck>,
  python3-tz <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/HypothesisWorks/hypothesis
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-hypothesis.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-hypothesis

## python-hypothesis 6.116.0

=== debian/changelog ===
python-hypothesis (6.116.0-1) unstable; urgency=medium

  * New upstream version 6.116.0
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 04 Nov 2024 09:23:37 +0100

python-hypothesis (6.115.3-1) unstable; urgency=medium

  * New upstream version 6.115.3

 -- Timo Röhling <roehling@debian.org>  Fri, 18 Oct 2024 16:58:02 +0200

python-hypothesis (6.115.0-1) unstable; urgency=medium

  * New upstream version 6.115.0

 -- Timo Röhling <roehling@debian.org>  Mon, 14 Oct 2024 20:18:13 +0200

python-hypothesis (6.112.1-1) unstable; urgency=medium

  * New upstream version 6.112.1

 -- Timo Röhling <roehling@debian.org>  Sat, 28 Sep 2024 15:18:43 +0200

python-hypothesis (6.112.0-1) unstable; urgency=medium

  * New upstream version 6.112.0

 -- Timo Röhling <roehling@debian.org>  Tue, 10 Sep 2024 11:33:21 +0200

## python-hypothesis 6.122.1

=== debian/changelog ===
python-hypothesis (6.122.1-1) unstable; urgency=medium

  * New upstream version 6.122.1

 -- Timo Röhling <roehling@debian.org>  Mon, 02 Dec 2024 07:57:45 +0100

python-hypothesis (6.121.0-1) unstable; urgency=medium

  * New upstream version 6.121.0

 -- Timo Röhling <roehling@debian.org>  Thu, 28 Nov 2024 10:18:21 +0100

python-hypothesis (6.119.3-1) unstable; urgency=medium

  * New upstream version 6.119.3

 -- Timo Röhling <roehling@debian.org>  Mon, 18 Nov 2024 10:29:05 +0100

## python-hypothesis 6.124.0

=== debian/changelog ===
python-hypothesis (6.124.0-1) unstable; urgency=medium

  * New upstream version 6.124.0
  * Refresh patches (no functional changes)
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Thu, 16 Jan 2025 13:31:20 +0100

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
 Suggests:
  python-hypothesis-doc,
 Breaks:
- python3-h2 (<< 4.1.0~)
+ python3-h2 (<< 4.1.0~),
 Description: advanced Quickcheck style testing library for Python 3
  Hypothesis is a library for testing your Python code against a much
  larger range of examples than you would ever want to write by

## python-hypothesis 6.125.2

=== debian/changelog ===
python-hypothesis (6.125.2-1) unstable; urgency=medium

  * New upstream version 6.125.2

 -- Timo Röhling <roehling@debian.org>  Sat, 08 Feb 2025 00:06:40 +0100

## python-hypothesis 6.127.4

=== debian/changelog ===
python-hypothesis (6.127.4-1) unstable; urgency=medium

  * New upstream version 6.127.4
  * Bump Standards-Version to 4.7.2
  * New test dependency python3-watchdog
  * README.rst is README.md now

 -- Timo Röhling <roehling@debian.org>  Sun, 02 Mar 2025 21:33:08 +0100

=== debian/control ===
--- 
+++ 
@@ -29,8 +29,9 @@
  python3-sphinx-rtd-theme <!nodoc>,
  python3-typing-extensions <!nocheck>,
  python3-tz <!nocheck>,
+ python3-watchdog <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/HypothesisWorks/hypothesis
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-hypothesis.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-hypothesis

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	pytest \
 	test_can_learn_to_normalize_the_unnormalized \
 	test_dateutil_timezones \
+	test_ghostwriter_suggests_submodules_for_empty_toplevel \
 	test_hypothesis_is_not_the_first_to_import_numpy \
 	test_updating_the_file_include_new_shrinkers \
 	test_zoneinfo_timezones \

## python-hypothesis 6.130.5

=== debian/changelog ===
python-hypothesis (6.130.5-2) unstable; urgency=medium

  * Team upload.
  * Add ignore-warnings-in-the-testsuite-alone.patch (Closes: #1106438).

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 May 2025 10:06:04 +0200

python-hypothesis (6.130.5-1) unstable; urgency=medium

  * New upstream version 6.130.5
  * Refresh patches (no functional changes)
  * Use furo theme for documentation
  * Skip crosshair tests

 -- Timo Röhling <roehling@debian.org>  Sat, 05 Apr 2025 00:52:20 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  black <!nocheck>,
+ furo,
  python3-all,
  python3-attr,
  python3-click <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 # depend on unpackaged Python modules
 IGNORE_TESTS = \
 	tests/codemods \
+	tests/crosshair \
 	tests/dpcontracts \
 	tests/patching

## python-hypothesis 6.138.0

=== debian/changelog ===
python-hypothesis (6.138.0-1) unstable; urgency=medium

  * New upstream version 6.138.0
  * Update patches
  * Migrate to PEP 517 build
  * Do not fail on Redis deprecation warning

 -- Timo Röhling <roehling@debian.org>  Wed, 13 Aug 2025 15:17:10 +0200

## python-hypothesis 6.138.14

=== debian/changelog ===
python-hypothesis (6.138.14-1) unstable; urgency=medium

  * New upstream version 6.138.14

 -- Timo Röhling <roehling@debian.org>  Thu, 04 Sep 2025 18:05:03 +0200

## python-hypothesis 6.139.2

=== debian/changelog ===
python-hypothesis (6.139.2-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 6.139.2

 -- Timo Röhling <roehling@debian.org>  Thu, 18 Sep 2025 22:36:03 +0200

## python-hypothesis 6.140.2

=== debian/changelog ===
python-hypothesis (6.140.2-1) unstable; urgency=medium

  * New upstream version 6.140.2

 -- Timo Röhling <roehling@debian.org>  Sat, 27 Sep 2025 20:34:34 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  dh-sequence-sphinxdoc <!nodoc>,
  black <!nocheck>,
  furo,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-attr,
  python3-click <!nocheck>,

=== debian/watch ===
Version: 5

Template: Github
Owner: HypothesisWorks
Project: hypothesis
Dversion-Mangle: auto
Uversion-Mangle: auto

## python-hypothesis 6.142.2

=== debian/changelog ===
python-hypothesis (6.142.2-1) unstable; urgency=medium

  * New upstream version 6.142.2
  * Depend on python3-pytz instead of python3-tz

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Oct 2025 15:59:48 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-typing-extensions <!nocheck>,
- python3-tz <!nocheck>,
+ python3-pytz <!nocheck>,
  python3-watchdog <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2

=== debian/rules ===
--- 
+++ 
@@ -28,10 +28,6 @@
 export LC_ALL=C.UTF-8
 export PYBUILD_NAME=hypothesis
 export PYBUILD_DIR=hypothesis-python
-ifneq ($(PYBUILD_AUTOPKGTEST),1)
-export PYBUILD_BEFORE_TEST={interpreter} setup.py egg_info; cp -r {dir}/src/*.egg-info {build_dir}
-export PYBUILD_AFTER_TEST=rm -r {dir}/src/*.egg-info {build_dir}/*.egg-info
-endif
 export PYBUILD_TEST_ARGS=$(if $(SKIP_TESTS),-k 'not ($(call concat_with,$(space)or$(space),$(SKIP_TESTS)))') $(addprefix --ignore=,$(IGNORE_TESTS)) tests
 
 %:

## python-hypothesis 6.147.0

=== debian/changelog ===
python-hypothesis (6.147.0-1) unstable; urgency=medium

  * New upstream version 6.147.0
  * Refresh patches (no functional changes)
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Tue, 11 Nov 2025 16:50:15 +0100

=== debian/control ===
--- 
+++ 
@@ -24,13 +24,13 @@
  python3-pandas <!nocheck>,
  python3-pexpect <!nocheck>,
  python3-pytest <!nocheck>,
+ python3-pytz <!nocheck>,
  python3-redis <!nocheck>,
  python3-setuptools,
  python3-sortedcontainers,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-typing-extensions <!nocheck>,
- python3-pytz <!nocheck>,
  python3-watchdog <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2

## python-hypothesis 6.148.2

=== debian/changelog ===
python-hypothesis (6.148.2-1) unstable; urgency=medium

  * New upstream version 6.148.2
  * Refresh patches (no functional changes)
  * Skip failing autopkgtest

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Nov 2025 16:48:50 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 	test_can_learn_to_normalize_the_unnormalized \
 	test_dateutil_timezones \
 	test_ghostwriter_suggests_submodules_for_empty_toplevel \
+	test_hypothesis_is_not_the_first_to_import_attrs \
 	test_hypothesis_is_not_the_first_to_import_numpy \
 	test_updating_the_file_include_new_shrinkers \
 	test_zoneinfo_timezones \

## python-hypothesis 6.148.7

=== debian/changelog ===
python-hypothesis (6.148.7-1) unstable; urgency=medium

  * New upstream version 6.148.7
  * Skip test_gc_hooks_do_not_cause_unraisable_recursionerror (Closes: #1123526)

 -- Timo Röhling <roehling@debian.org>  Tue, 23 Dec 2025 01:04:06 +0100

## python-hypothesis 6.150.0

=== debian/changelog ===
python-hypothesis (6.150.0-1) unstable; urgency=medium

  * New upstream version 6.150.0
  * Bump Standards-Version to 4.7.3

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Jan 2026 20:07:51 +0100
